package uk.ac.gla.photofight.personalize;

import uk.ac.gla.photofight.R;
import android.app.Activity;
import android.content.Intent;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class ManageFightersActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.manage_fighters);
        
        TextView createFighterButton = (TextView) findViewById(R.id.create_fighter_button);
        createFighterButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent i = new Intent();
				i.setClass(ManageFightersActivity.this, CreateFighterActivity.class);
				startActivity(i);
			}
		});
        
        TextView editFightersButton = (TextView) findViewById(R.id.edit_fighters_button);
        editFightersButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				startActivity(new Intent(ManageFightersActivity.this, EditFighterActivity.class));
			}
		});
        
        TextView backButton = (TextView) findViewById(R.id.manage_fighters_back_button);
        backButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				finish();
			}
		});

        Typeface tf = Typeface.createFromAsset(this.getAssets(), "hot-mustard-btn.ttf");
        createFighterButton.setTypeface(tf);
        editFightersButton.setTypeface(tf);
        backButton.setTypeface(tf);
        
        
        
    }
}
