package uk.ac.gla.photofight.personalize;

import uk.ac.gla.photofight.R;
import android.app.Activity;
import android.content.Intent;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class PersonalizeActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.personalise);
        
        TextView manageFightersButton = (TextView) findViewById(R.id.manage_fighters_button);
        manageFightersButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent i = new Intent();
				i.setClass(PersonalizeActivity.this, ManageFightersActivity.class);
				startActivity(i);
			}
		});
        
        TextView manageArenasButton = (TextView) findViewById(R.id.manage_arenas_button);
        manageArenasButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent i = new Intent();
				i.setClass(PersonalizeActivity.this, ManageArenasActivity.class);
				startActivity(i);
			}
		});
        
        TextView backButton = (TextView) findViewById(R.id.personalize_back_button);
        backButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				finish();
			}
		});

		Typeface tf = Typeface.createFromAsset(this.getAssets(), "hot-mustard-btn.ttf");
		manageFightersButton.setTypeface(tf);
		manageArenasButton.setTypeface(tf);
		backButton.setTypeface(tf);
        
    }

}
